Subject: bug#1849: Windows 7 Taskbar Support

From: Jason Rumney <[email-masked]>
Date: Sat, 07 Jan 2012 12:26:54 +0800

Reopened.

It seems that this is only partially done.  Emacs, emacsclient and
runemacs are setting the AppUserModel ID consistently, so when running
their windows will group together. But there are two remaining changes
before this can be considered complete:

1. Set the AppUserModel ID on the shortcut created by addpm.exe, so
dragging the shortcut to the taskbar will work as expected (pinned
shortcut grouped with windows of running emacs).

2. Set the AppUserModel RelaunchCommand property of Emacs windows to
"runemacs.exe" so that pinning an running Emacs instance works as expected
(launch via runemacs.exe so the command window does not show).

Unfortunately both of these require directly using the IPropertyStore
interface, which is only available on Windows versions since Vista, and
is missing from current mingw32 headers, so a significant amount of
reverse engineering system headers will be involved.